Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.io
Interface ResourceFactoryService

All Superinterfaces:
  Service

    public interface ResourceFactoryService

extends Service

ResourceFactoryService is used by the ResourceFactory to "provide" it's concrete implementation. This class is not considered stable and may change, the user is protected from this change by using the Factory api, which is considered stable.

Method Summary
`ResourceChangeNotifier` | `getResourceChangeNotifierService()`
`ResourceChangeScanner` | `getResourceChangeScannerService()`
`Resource` | `newByteArrayResource(byte[] bytes)`
`Resource` | `newClassPathResource(String path)`
`Resource` | `newClassPathResource(String path, Class<?> clazz)`
`Resource` | `newClassPathResource(String path, ClassLoader classLoader)`
`Resource` | `newClassPathResource(String path, String encoding)`
`Resource` | `newClassPathResource(String path, String encoding, Class<?> clazz)`
`Resource` | `newClassPathResource(String path, String encoding, ClassLoader classLoader)`
`Resource` | `newDescrResource(KnowledgeDescr descr)`
`Resource` | `newFileSystemResource(File file)`
`Resource` | `newFileSystemResource(String fileName)`
`Resource` | `newInputStreamResource(InputStream stream)`
`Resource` | `newInputStreamResource(InputStream stream, String encoding)`
`Resource` | `newReaderResource(Reader reader)`
`Resource` | `newReaderResource(Reader reader, String encoding)`
`Resource` | `newUrlResource(String path)`
`Resource` | `newUrlResource(URL url)`

Method Detail

### getResourceChangeNotifierService

    ResourceChangeNotifier getResourceChangeNotifierService()

### getResourceChangeScannerService

    ResourceChangeScanner getResourceChangeScannerService()

### newUrlResource

    Resource newUrlResource(URL url)

### newUrlResource

    Resource newUrlResource(String path)

### newFileSystemResource

    Resource newFileSystemResource(File file)

### newFileSystemResource

    Resource newFileSystemResource(String fileName)

### newByteArrayResource

    Resource newByteArrayResource(byte[] bytes)

### newInputStreamResource

    Resource newInputStreamResource(InputStream stream)

### newInputStreamResource

    Resource newInputStreamResource(InputStream stream,
                                    String encoding)

### newReaderResource

    Resource newReaderResource(Reader reader)

### newReaderResource

    Resource newReaderResource(Reader reader,
                               String encoding)

### newClassPathResource

    Resource newClassPathResource(String path)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  ClassLoader classLoader)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  Class<?> clazz)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding,
                                  ClassLoader classLoader)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding,
                                  Class<?> clazz)

### newDescrResource

    Resource newDescrResource(KnowledgeDescr descr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.